Subject: Re: bug#38407: 27.0.50; infinite loop with display of large file without newlines

From: Pieter van Oostrum <[email-masked]>
Date: Thu, 28 Nov 2019 23:09:57 +0100

Eli Zaretskii wrote:

 > > Date: Thu, 28 Nov 2019 19:30:50 +0100
 > > From: Pieter van Oostrum <[email-masked]>
 > > Cc: [email-masked],
 > >     [email-masked]
 > > 
 > > In Emacs 26, it is also slow, but the redisplay comes to an end, so I see this as a kind of regression. The timing with Emacs 26 is very similar to that in Emacs 27, except that it doesn't hang at the end. So my impression is that the real difference is when the scrolling reaches the end of the file. That also happens with M-> (end-of-buffer), which hangs indefinitely (or at least a long time that is virtually indistinguishable from indefinitely) in Emacs 27, but it does finish in Emacs 26.
 > 
 > I don't think there's any difference in this aspect between Emacs 26
 > and 27.  I see the same problem in both, FWIW, and I definitely didn't
 > wait for hours for redisplay to finish, let alone saw it "hang
 > indefinitely", even in an unoptimized build of Emacs 27 on a very slow
 > machine.  In my case it took something like 15 minutes.  I don't
 > understand why you see such long times.  Of course, I tried this with
 > a different JSON file than you did, so maybe there's something in your
 > file that causes even more slowdown.
 > 
 > In any case, try the latest master after setting bidi-inhibit-bpa to
 > non-nil.  In my testing, this is as fast as Emacs 23, i.e. no bidi
 > reordering at all, give or take some 10%.
 > 
 > And if you want the fastest display possible, use Fundamental mode,
 > not Text.
 > 
 > 
I have tried the latest version with so-long-mode, bidi-inhibit-bpa set to t, and the json file. Still hanging for a long time. Maybe it makes a difference that I am on MacOS?
-- 
Pieter van Oostrum <[email-masked]>
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]